com.intellectualcrafters.plot.config

## Class Configuration.SettingValue

- java.lang.Object
- - com.intellectualcrafters.plot.config.Configuration.SettingValue

- Enclosing class:
    Configuration

      public abstract static class Configuration.SettingValue
      extends java.lang.Object

  Create your own SettingValue object to make the management of plotworld configuration easier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration.SettingValue(java.lang.String type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getType()`
    `java.lang.Object` | `parseObject(java.lang.Object object)`
    `abstract java.lang.Object` | `parseString(java.lang.String string)`
    `abstract boolean` | `validateValue(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Configuration.SettingValue

          public Configuration.SettingValue(java.lang.String type)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

    - #### parseObject

          public java.lang.Object parseObject(java.lang.Object object)

    - #### parseString

          public abstract java.lang.Object parseString(java.lang.String string)

    - #### validateValue

          public abstract boolean validateValue(java.lang.String string)